export class Fuel {
    static readonly Electricity: Fuel = new Fuel('electric', 'W');
    static readonly Hydrogen: Fuel = new Fuel('hydrogen', 'l');
    static readonly Deuterium: Fuel = new Fuel('deuterium', 'l');

    readonly unit: string;
    readonly name: string;

    private constructor(name: string, unit: string) {
        this.name = name;
        this.unit = unit;
    }
}